package ec.app.regression.testcases;

public class Keijzer09Factory extends FunctionFactory {

	@Override
	protected int arity() {
		return 1;
	}

	@Override
	protected double function(final Double... x) {
		// asinh(x)
		return Math.log(x[0] + Math.sqrt(x[0] * x[0] + 1));
	}

	@Override
	public String getSymbolicRepresentation() {
		return "log(x0 + sqrt(x0 * x0 + 1))";
	}
}
